Bug 483130 - NetworkManager does not show USB CDMA connection [NEEDINFO]
NetworkManager does not show USB CDMA connection
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: hal-info (Show other bugs)
10
i386 Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-29 14:40 EST by Sudheer Satyanarayana
Modified: 2009-12-18 02:44 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 02:44:20 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
dcbw: needinfo? (sudheer.s)


Attachments (Terms of Use)

  None (edit)
Description Sudheer Satyanarayana 2009-01-29 14:40:19 EST
Description of problem:

I am using Tata Indicom USB CDMA data card to connect to Internet. Currently I am using wvdial to connect.

Version-Release number of selected component (if applicable):

NetworkManager-0.7.0-1.git20090102.fc10.i386
NetworkManager-pptp-0.7.0-1.svn16.fc10.i386

How reproducible: Note sure. It simply doesn't work on my laptop.


Steps to Reproduce:
1. Connect the Tata Indicom CDMA USB Data card and try NetworkManager
  
Actual results: The connection is not listed in NetworkManager.


Expected results: The connection must be shown in NetworkManager.


Additional info: wvdial works, but NetworkManager doesn't. The same device has been tested with Ubuntu Intrepid Ibex and is working well. 

Selinux is disabled.

The device is not listed in system-config-network either. All Fedora packages are up to date on the system.


Output of nm-tool

--------------------------------------Start---------------------------
State: disconnected

- Device: eth0 ----------------------------------------------------------------
  Type:              Wired
  Driver:            forcedeth
  State:             unavailable
  Default:           no
  HW Address:        00:1D:72:5C:B2:66

  Capabilities:
    Supported:       yes
    Carrier Detect:  yes

  Wired Settings


- Device: wlan0 ----------------------------------------------------------------
  Type:              802.11 WiFi
  Driver:            ndiswrapper
  State:             unavailable
  Default:           no
  HW Address:        00:21:00:2D:42:FE

  Capabilities:
    Supported:       yes

  Wireless Settings
    WEP Encryption:  yes
    WPA Encryption:  yes
    WPA2 Encryption: yes

  Wireless Access Points

----------------------------End---------------------------


Output of /var/log/messages when the device is connected

--------------------start-------------------------

Jan 30 01:06:10 localhost kernel: usb 4-1: USB disconnect, address 2
Jan 30 01:06:12 localhost kernel: usb 4-1: new full speed USB device using ohci_hcd and address 4
Jan 30 01:06:13 localhost kernel: usb 4-1: device descriptor read/64, error -62
Jan 30 01:06:13 localhost kernel: usb 4-1: device descriptor read/64, error -62
Jan 30 01:06:13 localhost kernel: usb 4-1: new full speed USB device using ohci_hcd and address 5
Jan 30 01:06:13 localhost kernel: usb 4-1: device descriptor read/64, error -62
Jan 30 01:06:14 localhost kernel: usb 4-1: device descriptor read/64, error -62
Jan 30 01:06:14 localhost kernel: usb 4-1: new full speed USB device using ohci_hcd and address 6
Jan 30 01:06:14 localhost kernel: usb 4-1: device not accepting address 6, error -62
Jan 30 01:06:14 localhost kernel: hub 4-0:1.0: unable to enumerate USB device on port 1
Jan 30 01:06:15 localhost kernel: usb 4-1: new full speed USB device using ohci_hcd and address 8
Jan 30 01:06:15 localhost kernel: usb 4-1: configuration #1 chosen from 1 choice
Jan 30 01:06:15 localhost kernel: cdc_acm 4-1:1.0: ttyACM0: USB ACM device
Jan 30 01:06:15 localhost kernel: usb 4-1: New USB device found, idVendor=1b7d, idProduct=070a
Jan 30 01:06:15 localhost kernel: usb 4-1: New USB device strings: Mfr=1, Product=2, SerialNumber=0
Jan 30 01:06:15 localhost kernel: usb 4-1: Product: Qualcomm CDMA Technologies MSM
Jan 30 01:06:15 localhost kernel: usb 4-1: Manufacturer: Qualcomm, Incorporated
----------------------end------------------------------



Working wvdial.conf

-----------------------start----------------------
[Modem 0]
Modem = /dev/ttyACM0
Baud = 115200
Dial Command = ATDT
FlowControl = Hardware (CRTSCTS)
Init1 = ATZ
[Dialer Defaults]
Init1 = ATZ
Init2 = ATQ0 V1 E1 S0=0 &C1 &D2 +FCLASS=0
Modem Type = Analog Modem
Phone = #777
ISDN = 0
Password = internet
New PPPD = yes
Username = internet
Stupid Mode = 1
Inherits = Modem 0

------------------------end---------------------
Comment 1 Dan Williams 2009-02-05 06:19:51 EST
Can I get the '/sbin/lsusb' output for this device?  It's actually the problem that hal-info isn't describing the device as a CDMA card.
Comment 2 Bug Zapper 2009-11-18 05:54:47 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2009-12-18 02:44:20 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.